<%@ language = "VBScript" %>
<% option explicit %>
<!-- #include file="xml.asp" -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <title>My Books</title>
</head>
<body>

<% writeBooks %>

</body>
</html>

<%

sub writeBooks
    dim xmlDocument
    dim xPath
    dim book
    dim books
    dim bookTitle
    dim bookAuthor
    dim bookDescriptionNode
    dim bookDescription
    dim xhtml

    xhtml = ""

    set xmlDocument = getXml("books.xml")
    
    xPath = "//book"
    set books = xmlDocument.selectNodes(xPath)
    for each book in books
        bookTitle = book.selectSingleNode("title").text
        bookAuthor = book.selectSingleNode("author").text
    
        set bookDescriptionNode = _
                book.selectSingleNode("description")
        if bookDescriptionNode is nothing then
            bookDescription = "(No description available)"
        else
            bookDescription = bookDescriptionNode.text
        end if
    
        xhtml = xhtml & "<h3>" & _
                bookTitle & "<br />" & _
                "<em>" & bookAuthor & "</em></h3>"
        xhtml = xhtml & "<p>" & bookDescription & "</p>"
    next
    
    response.write xhtml
end sub

%>